# Uses of Interface
org.apache.lucene.facet.facetset.FacetSetDecoder

Packages that use FacetSetDecoder
Package
Description
org.apache.lucene.facet.facetset
Provides FacetSets faceting capabilities which allows users to facet on high dimensional field values.

- ## Uses of FacetSetDecoder in org.apache.lucene.facet.facetset

  Constructors in org.apache.lucene.facet.facetset with parameters of type FacetSetDecoder
  Modifier
  Constructor
  Description
  ``
  `MatchingFacetSetsCounts(String field, FacetsCollector hits, FacetSetDecoder facetSetDecoder, FacetSetMatcher... facetSetMatchers)`
  Constructs a new instance of matching facet set counts which calculates the counts for each given facet set matcher.
  ``
  `MatchingFacetSetsCounts(String field, FacetsCollector hits, FacetSetDecoder facetSetDecoder, Query fastMatchQuery, FacetSetMatcher... facetSetMatchers)`
  Constructs a new instance of matching facet set counts which calculates the counts for each given facet set matcher.